- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouterbgp – CLI command to add/remove/modify vrouter-bgp

- DEPRECATED

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Doesn’t support latest Pluribus Networks netvisor

Alternative

  Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vrouter-bgp-add, vrouter-bgp-remove, vrouter-bgp-modify command.

- Each fabric, cluster, standalone switch, or virtual network (VNET) can provide its tenants with a vRouter service that forwards traffic between networks and implements Layer 4 protocols.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_bfd boolean | Choices: no yes | Specify if you want BFD protocol support for fault detection.
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch(es) to run the cli on.
pn_cliusername - |  | Provide login username if user is not root.
pn_default_originate boolean | Choices: no yes | Specify if you want announce default routes to the neighbor or not.
pn_ebgp - |  | Specify a value for external BGP to accept or attempt BGP connections to external peers, not directly connected, on the network. This is a value between 1 and 255.
pn_holdtime - |  | Specify BGP neighbor holdtime in seconds.
pn_keepalive - |  | Specify BGP neighbor keepalive interval in seconds.
pn_max_prefix - |  | Specify the maximum number of prefixes.
pn_max_prefix_warn boolean | Choices: no yes | Specify if you want a warning message when the maximum number of prefixes is exceeded.
pn_multiprotocol - | Choices: ipv4-unicast ipv6-unicast | Specify a multi-protocol for BGP.
pn_neighbor - |  | Specify a neighbor IP address to use for BGP. Required for vrouter-bgp-add.
pn_next_hop_self boolean | Choices: no yes | Specify if the next-hop is the same router or not.
pn_override_capability boolean | Choices: no yes | Specify if you want to override capability.
pn_password - |  | Specify a password, if desired.
pn_prefix_listin - |  | Specify the prefix list to filter traffic inbound.
pn_prefix_listout - |  | Specify the prefix list to filter traffic outbound.
pn_remote_as - |  | Specify the remote Autonomous System(AS) number. This value is between 1 and 4294967295. Required for vrouter-bgp-add.
pn_route_mapin - |  | Specify inbound route map for neighbor.
pn_route_mapout - |  | Specify outbound route map for neighbor.
pn_route_reflector boolean | Choices: no yes | Specify if a route reflector client is used.
pn_soft_reconfig boolean | Choices: no yes | Specify if you want a soft reconfiguration of inbound traffic.
pn_vrouter_name - / required |  | Specify a name for the vRouter service.
pn_weight - |  | Specify a default weight value between 0 and 65535 for the neighbor routes.
state - / required | Choices: present absent update | State the action to perform. Use 'present' to add bgp, 'absent' to remove bgp and 'update' to modify bgp.

## Examples

    - name: add vrouter-bgp
      pn_vrouterbgp:
        state: 'present'
        pn_vrouter_name: 'ansible-vrouter'
        pn_neighbor: 104.104.104.1
        pn_remote_as: 1800

    - name: remove vrouter-bgp
      pn_vrouterbgp:
        state: 'absent'
        pn_name: 'ansible-vrouter'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the vrouterbgp command.
stdout list | always | The set of responses from the vrouterbpg command.

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.